import LooseObject from './LooseObject';
import Markup from './Markup';
export default class Paragraph {
    /**
     * @param  {string} publicname
     * @param  {number} publictype
     * @param  {string} publictext
     * @param  {Markup[]} publicmarkups
     */
    constructor(json: LooseObject);
    iframe: LooseObject;
    metadata: LooseObject;
    name: string;
    text: string;
    markups: Markup[];
    type: ParagraphType;
    readonly hasAnyMarkups: boolean;
    processParagraph(): string;
    addParagraphMarkup(parsedText: string): string;
}
export declare enum ParagraphType {
    Standard = 1,
    H1 = 2,
    ImageAndCaption = 3,
    BlockQuote = 4,
    Code = 5,
    UnOrderedList = 6,
    IFrame = 7,
    SubTitle = 8,
    OrderedList = 9
}
